dracut/0506-Boot-on-s390x-with-fips-1-on-the-kernel-commnad-line.patch
2017-02-02 12:23:11 +00:00

51 lines
1.4 KiB
Diff

From e9e5b0424648bc0d81e865d1fe54d10639a10182 Mon Sep 17 00:00:00 2001
From: Daniel Molkentin <dmolkentin@suse.com>
Date: Thu, 2 Feb 2017 12:41:25 +0100
Subject: [PATCH] Boot on s390x with fips=1 on the kernel commnad line
On s390, the kernel image that is bootet from is called 'image'.
(bnc#1021687)
Original-Patch-By: Marcus Meissner <meissner@suse.de>
---
modules.d/01fips/fips.sh | 12 +++++++++---
1 file changed, 9 insertions(+), 3 deletions(-)
diff --git a/modules.d/01fips/fips.sh b/modules.d/01fips/fips.sh
index f33481a..055093a 100755
--- a/modules.d/01fips/fips.sh
+++ b/modules.d/01fips/fips.sh
@@ -73,11 +73,17 @@ do_fips()
local _s
local _v
local _module
+ local _arch=$(uname -m)
+ local _vmname=vmlinuz
+
+ if [ "$_arch" == "s390x" ]; then
+ _vmname=image
+ fi
KERNEL=$(uname -r)
- if ! [ -e "/boot/.vmlinuz-${KERNEL}.hmac" ]; then
- warn "/boot/.vmlinuz-${KERNEL}.hmac does not exist"
+ if ! [ -e "/boot/.${_vmname}-${KERNEL}.hmac" ]; then
+ warn "/boot/.${_vname}-${KERNEL}.hmac does not exist"
return 1
fi
@@ -125,7 +131,7 @@ do_fips()
elif [ -e "/run/initramfs/live/isolinux/vmlinuz0" ]; then
do_rhevh_check /run/initramfs/live/isolinux/vmlinuz0 || return 1
else
- fipscheck "/boot/vmlinuz-${KERNEL}" || return 1
+ fipscheck "/boot/${_vmname}-${KERNEL}" || return 1
fi
info "All initrd crypto checks done"
--
2.10.2